<app-loading *ngIf="isLoading"></app-loading>
<div class="content-header" *ngIf="flagStatus">
  <mb-button (click)="showModalUploadFile(footerTmplUploadFile)" mbButtonSize="MEDIUM"
             mbButtonText="{{'common.button.uploadFile' | translate}}"
             mbButtonTextColor="#141ED2" *ngIf="objFunction?.import && !isLock">
  </mb-button>

  <mb-button mbButtonType="NO_BORDER" mbButtonSize="LARGE" *ngIf="objFunction?.create && !isLock"
             mbButtonText="{{'common.button.saveS' | translate}}" mbButtonAvailableStyle="PRIMARY"
             (click)="confirmApprovalSave(footerTmplShowModalConfirmSave)">
  </mb-button>
</div>
<ng-template #footerTmplUploadFile>
  <section class="flex-footer__uploadfile">
    <mb-button (click)="modalRef.getContentComponent().save()" mbButtonAvailableStyle="PRIMARY" mbButtonSize="VERY_LARGE"
               mbButtonText="{{'targerManager.button.btnSaveFile' | translate}}"
               mbButtonType="NO_BORDER"></mb-button>
    <mb-button (click)="modalRef.destroy()"
               class="flex-footer__uploadfile--button-left"
               mbButtonAvailableStyle="BtnCancelHasBorder" mbButtonText="{{'targerManager.button.btnCancel' | translate}}"></mb-button>
  </section>
</ng-template>
<ng-template #footerTmplShowModalConfirmSave>
  <section class="flex-footer__uploadfile">
    <mb-button mbButtonType="NO_BORDER" mbButtonSize="VERY_LARGE" (click)="save()"
               mbButtonAvailableStyle="PRIMARY" mbButtonText="{{'common.button.saveS' | translate}}"></mb-button>
    <mb-button mbButtonAvailableStyle="BtnCancelHasBorder"
               mbButtonText="{{'targerManager.button.btnCancel' | translate}}" (click)="modalRef?.destroy()"
               class="flex-footer__uploadfile--button-left"></mb-button>
  </section>
</ng-template>
<nz-card>
  <div nz-row style="margin-bottom: 1rem">
    <div nz-col nzSpan="6" class="search-info">
      <label class="search-label">{{'goaManagement.listPersonnelAllocation.label.orgName' | translate}}</label>
      <p>{{listPersonnelAllocationInfo?.orgName}}</p>
    </div>
    <div nz-col nzSpan="6" class="search-info">
      <label class="search-label">{{'goaManagement.listPersonnelAllocation.label.orgManagerName' | translate}}</label>
      <p>{{listPersonnelAllocationInfo?.orgManagerName}}</p>
    </div>
    <div nz-col nzSpan="6" class="search-info">
      <label class="search-label">{{'goaManagement.listPersonnelAllocation.label.region' | translate}}</label>
      <p>{{listPersonnelAllocationInfo?.region}}</p>
    </div>
    <div nz-col nzSpan="6" class="search-info">
      <mb-select
        [mbDataSelects]="departmentLineDropList"
        mbKeyLabel="name"
        mbKeyValue="orgId"
        mbLabelText="{{'goaManagement.listPersonnelAllocation.label.line' | translate}}"
        mbPlaceholder=""
        [mbOptionHeightPx]="50"
        [(ngModel)]="params.objId"
        (ngModelChange)="changeObj($event)"
        (mbSelect)="search()"
      ></mb-select>
    </div>
  </div>
  <div nz-row style="margin-bottom: 1rem">
    <div nz-col nzSpan="12" class="search-info">
      <label class="search-label">{{'goaManagement.listPersonnelAllocation.label.branchType' | translate}}</label>
      <p>{{listPersonnelAllocationInfo?.branchType}}</p>
    </div>
    <div nz-col nzSpan="6" class="search-info">
      <label class="search-label">{{'goaManagement.listPersonnelAllocation.label.countOfClassification' | translate}}</label>
      <p>{{listPersonnelAllocationInfo?.countOfClassification}}</p>
    </div>
    <div nz-col nzSpan="6" class="search-info">
      <mb-select
        [mbDataSelects]="listPeriod"
        mbKeyLabel="periodName"
        mbKeyValue="periodId"
        mbLabelText="{{'goaManagement.listPersonnelAllocation.label.period' | translate}}"
        mbPlaceholder=""
        [mbOptionHeightPx]="58"
        [(ngModel)]="params.periodId"
        (mbSelect)="selectPeriod()"
      ></mb-select>
    </div>
  </div>
</nz-card>
<div class="mb-tab">
  <nz-tabset nzType='editable-card' nzHideAdd (nzSelectChange)='changeTab($event)'
             [nzSelectedIndex]='tabSelectIndex'>
    <nz-tab nzTitle="{{'goaManagement.listPersonnelAllocation.label.inAllocation' | translate}}">
      <div class="d-flex wrap-list-column" cdkDropListGroup>
        <ng-container *ngIf="!tabSelectIndex">
          <div
            class="board-dnd-list"
            hcm-mfe-hcm-mfe-board-personnel-list
            *ngFor="let lane of lanes"
            [lane]="lane"
            [lanes]="lanes"
            [isOutAllocation]="false"
            (isChangeDropListLands)="updateDropColumn($event)"
            [policy]="objFunction?.create"
          >
          </div>
        </ng-container>
      </div>
    </nz-tab>
    <nz-tab nzTitle="{{'goaManagement.listPersonnelAllocation.label.outAllocation' | translate}}">
      <div class="d-flex wrap-list-column" cdkDropListGroup>
        <ng-container *ngIf="tabSelectIndex">
          <div
            class="board-dnd-list"
            hcm-mfe-hcm-mfe-board-personnel-list
            *ngFor="let lane of lanes"
            [lane]="lane"
            [lanes]="lanes"
            [isOutAllocation]="true"
            (isChangeDropListLands)="updateDropColumn($event)"
            [policy]="objFunction?.create"
          >
          </div>
        </ng-container>
      </div>
    </nz-tab>
  </nz-tabset>
</div>
